﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace Expander
{
	public partial class Page : UserControl
	{
		public Page()
		{
			InitializeComponent();
			this.Loaded += new RoutedEventHandler(Page_Loaded);
		}

		void Page_Loaded(object sender, RoutedEventArgs e)
		{
					RadExpander re = new RadExpander(); 
                    re.Header = new TextBlock { Text = "Test Expander", Foreground = new SolidColorBrush(Colors.Green) };
					StackPanel panel = new StackPanel();
					for (int i = 0; i < 5; i++)
					{
						Button btn = new Button();
						btn.Height = 30;
						btn.Width = 50;
						btn.Content = "btn" + i;
						panel.Children.Add(btn);
					}
					re.Content = panel;
					LayoutRoot.Children.Add(re);
		}
	}
}
